<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" rel="stylesheet">
    <title>Log-in</title>
    <link rel="stylesheet" href="css/style.css">
</head>
<body>
    <div class="container">
        <header>Login Form</header>
        <form action="">
            <div class="input-field">
                <input type="text" required>
                <label>login Id</label>
                <i class="fa fa-user-circle" aria-hidden="true"></i>
            </div>
            <div class="input-field">
                <input id="pswrd" type="password" required> 
                <label>Password</label>
                <i onclick="show()" class="fa fa-eye" aria-hidden="true"></i>
            </div>
            <div class="button">
                <div class="inner"></div>
                <button type="submit">Log in</button>
            </div>
        </form>
    </div>
    <script>
        function show(){
            var pswrd = document.getElementById('pswrd');
            var icon = document.querySelector('.fa-eye');
            if(pswrd.type === "password") {
                pswrd.type = "text";
                icon.style.color = "#1da1f2";
            }else{
                pswrd.type = "password";
                icon.style.color = "black";
            }
        }
    </script>
</body>
</html>